Subject: Re: Something is broken in repack

From: Paolo Bonzini <[email-masked]>
Date: Thu, 13 Dec 2007 16:32:03 +0100

Nguyen Thai Ngoc Duy wrote:
> On Dec 12, 2007 10:48 PM, Nicolas Pitre <[email-masked]> wrote:
>> In the mean time you might have to use only one thread and lots of
>> memory to repack the gcc repo, or find the perfect memory allocator to
>> be used with Git.  After all, packing the whole gcc history to around
>> 230MB is quite a stunt but it requires sufficient resources to
>> achieve it. Fortunately, like Linus said, such a wholesale repack is not
>> something that most users have to do anyway.
> 
> Is there an alternative to "git repack -a -d" that repacks everything
> but the first pack?

That would be a pretty good idea for big repositories.  If I were to 
implement it, I would actually add a .git/config option like 
pack.permanent so that more than one pack could be made permanent; then 
to repack really really everything you'd need "git repack -a -a -d".

Paolo